local myMod = ...

-- Register shoemaker job
myMod:register({
	DataType = "JOB",
	Id = "SHOEMAKER",
	JobName = "SHOEMAKER_JOB_NAME",
	JobDescription = "SHOEMAKER_JOB_DESC",
	IsLockedByDefault = true,
	UseWorkplaceBehavior = true,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	WorkstationSetup = "SHOEMAKER_SETUP"	
})

-- Register shoemaker setup
myMod:register({
	DataType = "AGENT_WORKSTATION_SETUP",
	Id = "SHOEMAKER_SETUP",
	ToolModel = "PREFAB_SHOEMAKER_HAMMER",
	ToolHandAnchor = "RIGHT",
	WorkAnimation = "SMITHING",
	WalkAnimation = "WALKING",
	IdleAnimation = "IDLE"
})